Texa DeskDevelopers

Texa Desk Application API · Messages

Get messages

GET/api/v1/accounts/{account_id}/conversations/{conversation_id}/messages

List all messages of a conversation

Authorization

api_access_tokenheaderrequired

A person's access token (Texa Desk, Profile settings → Access token) or an agent bot's token, in the api_access_token header. It acts as that person, with their role's permissions.

Path parameters

account_idintegerrequired

The numeric ID of the account

conversation_idintegerrequired

The numeric ID of the conversation

Query parameters

afterinteger

Fetch messages after the message with this ID. Returns up to 100 messages in ascending order.

beforeinteger

Fetch messages before the message with this ID. Returns up to 20 messages in ascending order.

Responses

200

Success

metaobject
meta.labelsarray of string
meta.additional_attributesobject
meta.contactobject
meta.contact.payloadarray of object
meta.assigneeobject
meta.assignee.idinteger
meta.assignee.account_idinteger
meta.assignee.availability_statusstring

The effective availability status of the agent, derived from the configured availability, auto-offline setting, and current presence. To update an agent's configured availability, use the availability field in create or update requests. One of: online, busy, offline.

meta.assignee.auto_offlineboolean

Whether the agent is automatically marked offline when they are away.

meta.assignee.confirmedboolean

Whether the agent has confirmed their email address.

meta.assignee.emailstring

The email of the agent

meta.assignee.available_namestring

The available name of the agent

meta.assignee.namestring

The name of the agent

meta.assignee.rolestring

The role of the agent One of: agent, administrator.

meta.assignee.thumbnailstring

The thumbnail of the agent

meta.assignee.custom_role_idinteger

The custom role id of the agent

meta.agent_last_seen_atstring (date-time)
meta.assignee_last_seen_atstring (date-time)
payloadarray of object

Array of messages

payload[].idnumber

The ID of the message

payload[].contentstring

The text content of the message

payload[].account_idnumber

The ID of the account

payload[].inbox_idnumber

The ID of the inbox

payload[].conversation_idnumber

The ID of the conversation

payload[].message_typeinteger

The type of the message One of: 0, 1, 2, 3.

payload[].created_atinteger

The time at which message was created

payload[].updated_atinteger or string

The time at which message was updated

payload[].privateboolean

The flags which shows whether the message is private or not

payload[].statusstring

The status of the message One of: sent, delivered, read, failed.

payload[].source_idstring

The source ID of the message

payload[].content_typestring

The type of the template message One of: text, input_text, input_textarea, input_email, input_select, cards, form, article, incoming_email, input_csat, integrations, sticker, voice_call.

payload[].content_attributesobject

The content attributes for each content_type

payload[].sender_typestring

The type of the sender One of: Contact, User, AgentBot.

payload[].sender_idnumber

The ID of the sender

payload[].external_source_idsobject

The external source IDs of the message

payload[].additional_attributesobject

The additional attributes of the message

payload[].processed_message_contentstring

The processed message content

payload[].sentimentobject

The sentiment of the message

payload[].conversationobject

The conversation object

payload[].attachmentobject

The file object attached to the image

payload[].senderobject

User/Agent/AgentBot object

404

Conversation not found

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring
401

Unauthorized

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring